#ifndef __GAMEFRAME
#define __GAMEFRAME

#define kFPS	75.0
#define kFrameTime	(1/kFPS)

#define kStartGameDelaySeconds 5.0
enum{
	kEndGame=1,
	kEndGameNoLeave,
	kEndGameNoReplay,
	kEndGameRestart
};

extern int gFrameCount;
extern int gGraphFrameCount;
extern int gGameEnd,gRaceFinished,gDisqualified;
extern int gPaused;
extern int gNetPauseTime;
extern float gFPS;
extern float gStartTime;

extern float gAccelSignDisplayIntensity,gAccelSignDisplayCorner;
extern float gTimeStretch;
extern int gCurrentLapStart;
extern int gBestLapStart;
extern int gLastLapTime;
extern int gBestLapTime;
extern int gWorldRecord,gLocalRecord;
extern int gDisabledRestart;
extern char gRecordName[];

#define kMinActivityVelo 1.2

void GameFrame();
int GameReplayFrame();
void StartFrameCount();
void PauseGame();
void UnPauseGame();

#endif